Do you use Quicken 2015 or older?

Do you use Quicken 2015 or an older version?

If so, you are required to update your software! Intuit, the company that owns Quicken- a personal finance management tool, has discontinued support for Quicken 2015 and older versions. In fact, the Direct Connect (Quicken Transaction Download) and Web connect (Online Banking Transaction download) will cease to work as of May 1, 2018. Only 2016 and younger versions of Quicken will be supported by Intuit. Basically, Intuit would like everyone that has Quicken 2015 and older to upgrade to the latest version so you can still take advantage of their services. For more information, please click here.

For step-by-step instructions for how to use Quicken, please click here. For more information, please contact us at efcu@entrustfcu.org or 804.353.8012 and we will be happy to help however we can. Thank you!